#!/usr/bin/perl
# 
# Serene Bach - weblog management system
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

use strict;
use lib qw(. ./lib ./ext);
require 'addlib.cgi' if (-r 'addlib.cgi');

BEGIN
{ # change current directory for mod_perl
	if ($ENV{'MOD_PERL'})
	{
		my $path = $ENV{'SCRIPT_FILENAME'};
		$path =~ s/^(.*)[:\/\\].*$/$1/;
		chdir($path);
	}
}
eval {
	require sb;
	require sb::Data;
	require sb::App::Upgrade;
	my $conf = sb::Config->new();
	my $lang = sb::Language->new($conf->value('language'));
	my $driver = sb::Driver->new($conf->value('driver'),%{$conf->value('db_param')});

	# upgrade database
	sb::App::Upgrade->new(
		'driver'  => $driver,
		'current' => 0,
	)->run();

	die("done!!!\n");
};
print "Content-Type: text/plain\n\n",$@ if ($@);
